function init() {
         chrome.runtime.onMessage.addListener(
            function (request, sender, sendResponse) {
               if (request.action === "generator_requestLongURLResponse") {
                  longURLReceived(request, sender, sendResponse);
               }
            });

         requestLongURL();
      }

      function requestLongURL() {
         var requestMessage = {
            action: "generator_requestLongURL"
         };

         chrome.runtime.sendMessage(requestMessage, function (response) {
            var longURL = response.longURL;
            console.log('long url: ' + longURL);
            makeRequest(longURL);
         });
      }

      function longURLReceived(request, sender, sendResponse) {
         var longURL = request.data.longURL;
         console.log('longURLReceived: ' + longURL);

         makeRequest(longURL);
      }

      function makeRequest(longURL) {
         var request = gapi.client.urlshortener.url.insert({
            'longUrl': longURL
         });
         request.execute(function (response) {
            //alert(JSON.stringify(window.got = response));
console.log('makeRequest: ' + response.id);
            var responseMessage = {
               action: "generator_responseShortURL",
               data: {
                  shortURL: response.id
               }
            };

            chrome.runtime.sendMessage(responseMessage);
            window.close();
         });
      }

      window.load = function() {
         console.log('log');
         gapi.client.setApiKey('AIzaSyCW6r-WhNorXQq2Qvvl6APAguLJlTMt764');
         gapi.client.load('urlshortener', 'v1', init);
      }
      
      //setTimeout(window.load, 2000);


      //      
      // {"kind":"urlshortener#url","id":"https://goo.gl/IuqWJ","longUrl":"https://codepen.io/","result":{"kind":"urlshortener#url","id":"https://goo.gl/IuqWJ","longUrl":"https://codepen.io/"}}